Dispatcher (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.Dispatcher interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service
Interface Dispatcher

All Superinterfaces:
  Service

All Known Implementing Classes:
  DispatcherImpl

public interface Dispatcher
extends Service

A dispatcher of messages to some JMS connection.

Typically this uses either IO or NIO to shovel the messages down a socket as fast as possible - in either a push or pull way.

Version:
  $Revision: 1.10 $

Method Summary
`void` | `addActiveSubscription(BrokerClient client, Subscription sub)` Add an active subscription
`void` | `register(MessageContainerManager mcm)` Register the MessageContainerManager for the Dispatcher
`void` | `removeActiveSubscription(BrokerClient client, Subscription sub)` remove an active subscription
`void` | `wakeup()` Called to indicate that there is work to do this will wake up a Dispatch Worker if it is waiting for messages to dispatch
`void` | `wakeup(Subscription sub)` Called to indicate that there is work to do on a Subscription this will wake up a Dispatch Worker if it is waiting for messages to dispatch

Methods inherited from interface org.codehaus.activemq.service.Service
`start, stop`

Method Detail

### register

    public void register(MessageContainerManager mcm)

  Register the MessageContainerManager for the Dispatcher

  Parameters:
    `mcm` -

### wakeup

    public void wakeup(Subscription sub)

  Called to indicate that there is work to do on a Subscription this will wake up a Dispatch Worker if it is waiting for messages to dispatch

  Parameters:
    `sub` - the Subscription that now has messages to dispatch

### wakeup

    public void wakeup()

  Called to indicate that there is work to do this will wake up a Dispatch Worker if it is waiting for messages to dispatch

### addActiveSubscription

    public void addActiveSubscription(BrokerClient client,
                                      Subscription sub)

  Add an active subscription

  Parameters:
    `client` -
    `sub` -

### removeActiveSubscription

    public void removeActiveSubscription(BrokerClient client,
                                         Subscription sub)

  remove an active subscription

  Parameters:
    `client` -
    `sub` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.